
<template>
  <div class=""></div>
</template>
<script>
import Vue from 'vue';
import vueInfiniteLoading from 'vue-infinite-loading';
import NoResults from '../noResults';
import NoMore from '../noMore';
import Spinner from '../spinner';
import { use } from '../utils/use';
const [bem, t] = use('infiniteLoading');
Vue.use(vueInfiniteLoading, {
  slots: {
    // loading 菊花图标
    spinner: Spinner,
    // 首次加载没有数据的情况下
    noResults: NoResults,
    // 已全部加载完毕图标
    noMore: NoMore,
    // hide slot
    error: {
      render: h => h('div')
    }
  }
});
export default {
  name: 'InfiniteLoading',
  data() {
    return {
    };
  },
  props: {
    spinner: {
      default: () => {
        return Spinner;
      }
    }
  },
  methods: {
    bem, t
  }
};
</script>
